Download it now!
Bug 117522 - LibreOffice 6 Calc Column Width after Insert Columns Left
Summary: LibreOffice 6 Calc Column Width after Insert Columns Left
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.6 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-09 15:26 UTC by Michal Lijowski
Modified: 2018-06-10 15:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Lijowski 2018-05-09 15:26:39 UTC
Description:
In LibreOffice Calc v5, I have multiple columns. Each column has a different width.
1 Select these multiple columns

2 From a drop-down menu, select Insert Columns Left

3 The inserted columns have the same widths as the columns, which were selected for Insert.

In LibreOffice Calc v6, columns after Insert Columns Left have the same default width.  

Would be the feature in Insert Column Left available in Calc 5, reimplemented in
future Calc versions? 

Steps to Reproduce:
1. In Calc 6 spreadsheet select a single column and change its width
2. Select this column and select Insert Columns Left from a drop-down menu
3. The inserted column width is the same as the width of the original column
before it had its width changed.

Actual Results:  
In Calc 6, but not Calc 5 columns after Insert Columns Left have the same default width.

Expected Results:
I would like to have inserted columns to have widths of the original columns


Reproducible: Always


User Profile Reset: No



Additional Info:
Keep the width of the columns, while using Insert Columns Left as in Calc 5.


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.139 Safari/537.36
Comment 1 Mike Kaganski 2018-05-09 16:58:38 UTC Comment hidden (no-value)
Comment 2 Mike Kaganski 2018-05-09 18:09:31 UTC Comment hidden (no-value)
Comment 3 Mike Kaganski 2018-05-09 20:26:36 UTC
Regression introduced by commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=d6fb5ca5661195520ca7a7ca2d0145a1e11be099

> dyncolcontainer: use ScCompressedArray for pColWidth
> and enhance ScCompressedArray with an iterator to avoid
> O(n^2) "for" loops.

Adding Noel Grandin.
Comment 4 Commit Notification 2018-05-11 06:44:24 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a111a7ba4067dc11070c4b1ab6eb24cc89263770

tdf#117522 Calc Column Width after Insert Columns

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-05-31 10:05:25 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 2a0d8106a558845357d39648656e08ec6f091cf8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Noel, Thanks for fixing this!!

Cherry-picked to 6-0 branch: https://gerrit.libreoffice.org/#/c/55119/
Comment 6 Commit Notification 2018-06-05 15:53:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c30963b8b4bbbe42a24b97aafa161eff9d7ccdd4&h=libreoffice-6-0

tdf#117522 Calc Column Width after Insert Columns

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-06-10 15:11:38 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1202b34e977c64b2b643c45773dd3697889790b6

uitest for bug tdf#117522

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.